Bug 974675 - diagnostics page shows error rather than output
diagnostics page shows error rather than output
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ryan Barry
:
Depends On:
Blocks: ovirt-node-3.0
  Show dependency treegraph
 
Reported: 2013-06-14 15:18 EDT by Mike Burns
Modified: 2016-04-26 12:51 EDT (History)
7 users (show)

See Also:
Fixed In Version: ovrt-node-3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 05:48:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16049 None None None Never

  None (edit)
Description Mike Burns 2013-06-14 15:18:39 EDT
Description of problem:
On EL6 (haven't tried F18/F19 yet), the diagnostics page shows an error when running any of the commands allowed

Version-Release number of selected component (if applicable):
3.0.0

How reproducible:
Always on EL6

Steps to Reproduce:
1.install
2.login
3.go to diagnostics
4.run any command

Actual results:
An exception occurred
'module' object has no attribute 'check_output'

Expected results:
command output displayed

Additional info:
Comment 1 Ryan Barry 2013-08-06 11:43:54 EDT
A fix for this has been posted at http://gerrit.ovirt.org/#/c/16049/ and merged.
Comment 2 Fabian Deutsch 2013-08-26 05:45:23 EDT
The fix for this patch has been merged and is present in the released ovirt-node-3.0.0.

Note You need to log in before you can comment on or make changes to this bug.